Subject: Fw: Check your driver's license
From: "Mike" <[email-masked]>
To: "Dad" <[email-masked]>, "Scott Edstrom" <[email-masked]>, "Joshua Allegri" <[email-masked]>
Date: Thu, 13 May 2010 09:54:17 -0400

Got this forwarded to me.  Thought you might want to check this out.
Thank you,
Michael Bishop
[email-masked] 

what's next...ha! 

 Check your Driver's License. I already removed mine. I suggest you all do the same.  Now you can see anyone's Driver's License on the Internet, including your own!  I just searched for mine and there it was...picture and all!
Thanks Homeland Security! 

Go to the web site, and check it out. It's unbelievable!!! Just enter your name, city and state to see if yours is on file.
After your license comes on the screen, click the box marked "Please Remove." This will remove it from public viewing, but not from law enforcement. 

Please notify all your friends so they can protect themselves too ...

Believe me they will thank you for it. 
          http://www.license.shorturl.com/ 

If the link doesn't work, copy and paste the address into the address bar of the browser.